Skip to content
Get started

List jobs

GET/api/jobs/

List jobs

Query ParametersExpand Collapse
agent: optional string
formatuuid
analyzer_model: optional string
created_after: optional string
formatdate-time
created_before: optional string
formatdate-time
data_source: optional string
job_type: optional "inference" or "judge_scoring" or "model_backtesting" or 2 more
  • inference - Inference
  • uploaded_outputs_setup - Uploaded Outputs Setup
  • judge_scoring - Judge Scoring
  • prompt_tuning - Prompt Tuning
  • model_backtesting - Model Backtesting
Accepts one of the following:
"inference"
"judge_scoring"
"model_backtesting"
"prompt_tuning"
"uploaded_outputs_setup"
ordering: optional string

Which field to use when ordering the results.

page: optional number

A page number within the paginated result set.

project: optional string
formatuuid
prompt_slug: optional string
score_max: optional number
formatfloat
score_min: optional number
formatfloat
status: optional "cancelled" or "completed" or "failed" or 2 more
  • pending - Pending
  • running - Running
  • completed - Completed
  • failed - Failed
  • cancelled - Cancelled
Accepts one of the following:
"cancelled"
"completed"
"failed"
"pending"
"running"
ReturnsExpand Collapse
count: number
results: array of object { id, created_at, updated_at, 10 more }
id: string
formatuuid
created_at: string
formatdate-time
updated_at: string
formatdate-time
agent: optional string
formatuuid
analyzer_model: optional string
maxLength128
baseline_score: optional number
formatdouble
best_score: optional number
formatdouble
improvement: optional number
formatdouble
job_type: optional "inference" or "uploaded_outputs_setup" or "judge_scoring" or 2 more
  • inference - Inference
  • uploaded_outputs_setup - Uploaded Outputs Setup
  • judge_scoring - Judge Scoring
  • prompt_tuning - Prompt Tuning
  • model_backtesting - Model Backtesting
Accepts one of the following:
"inference"
"uploaded_outputs_setup"
"judge_scoring"
"prompt_tuning"
"model_backtesting"
num_iterations: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
project: optional string
formatuuid
prompt_slug: optional string
maxLength255
status: optional "pending" or "running" or "completed" or 2 more
  • pending - Pending
  • running - Running
  • completed - Completed
  • failed - Failed
  • cancelled - Cancelled
Accepts one of the following:
"pending"
"running"
"completed"
"failed"
"cancelled"
List jobs
curl https://api.overmindlab.ai/api/jobs/
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "analyzer_model": "analyzer_model",
      "baseline_score": 0,
      "best_score": 0,
      "improvement": 0,
      "job_type": "inference",
      "num_iterations": -9007199254740991,
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "prompt_slug": "prompt_slug",
      "status": "pending"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}
Returns Examples
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "analyzer_model": "analyzer_model",
      "baseline_score": 0,
      "best_score": 0,
      "improvement": 0,
      "job_type": "inference",
      "num_iterations": -9007199254740991,
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "prompt_slug": "prompt_slug",
      "status": "pending"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}